Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.torque.generator.configuration
Enum UnitDescriptor.Packaging

    java.lang.Object
      java.lang.Enum<UnitDescriptor.Packaging>
          org.apache.torque.generator.configuration.UnitDescriptor.Packaging

All Implemented Interfaces:
  Serializable, Comparable<UnitDescriptor.Packaging>

Enclosing class:
  UnitDescriptor

    public static enum UnitDescriptor.Packaging

extends Enum<UnitDescriptor.Packaging>

Possible packaging forms of a unit of generation.

Enum Constant Summary
`CLASSPATH` the generation unit is provided in the classpath.
`DIRECTORY` the generation unit is provided in a local directory.
`JAR` the generation unit is provided as a jar file .

Method Summary
`static UnitDescriptor.Packaging` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UnitDescriptor.Packaging[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JAR

    public static final UnitDescriptor.Packaging JAR

  the generation unit is provided as a jar file .

### DIRECTORY

    public static final UnitDescriptor.Packaging DIRECTORY

  the generation unit is provided in a local directory.

### CLASSPATH

    public static final UnitDescriptor.Packaging CLASSPATH

  the generation unit is provided in the classpath.

Method Detail

### values

    public static UnitDescriptor.Packaging[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UnitDescriptor.Packaging c : UnitDescriptor.Packaging.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UnitDescriptor.Packaging valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.